## libpreludedb 1.0.0

=== debian/changelog ===
libpreludedb (1.0.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Mickael Profeta has retired, promote Pierre Chifflier from Uploaders to
    Maintainer.  (Closes: #838923)
  * Switch Build-Depends to default-libmysqlclient-dev.
    (Closes: #845867, #790467)
  * Use dh_autoreconf.  (Closes: #744617, #558580)
  * Add missing Build-Depends: dh-python.
  * Add missing build-arch/build-indep targets.
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Jan 2017 17:03:47 +0100

libpreludedb (1.0.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS v3. Drop build-dependency on libgnutls-dev.
    libpreludedb does not use GnuTLS directly and its build-dependency on
    libprelude-dev pulls in GnuTLS development packages.
    Closes: #754772

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Aug 2014 07:43:46 +0200

libpreludedb (1.0.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Force swig to regenerate bindings/perl/PreludeDB.c by removing it
    before building and in the clean target. (Closes: #752335)
  * Use perl's $Config{vendorarch} instead of /usr/lib/perl5. Thanks
    to Niko Tyni for the patch. (Closes: #752336)

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Aug 2014 22:27:33 +0200

libpreludedb (1.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616869).
  * libmissing/stdio.in.h:
    - Do not try to warn about gets risks if it is not defined, fix
      FTBFS with eglibc 2.17 (Closes: #701403).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 30 May 2013 20:42:16 +0200

libpreludedb (1.0.0-2) unstable; urgency=low

  * Do not ship .la files
  * Replace TYPE=InnoDB with ENGINE=InnoDB to match MySQL 5.5

 -- Pierre Chifflier <pollux@debian.org>  Sat, 16 Mar 2013 16:54:52 +0100

libpreludedb (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0

 -- Pierre Chifflier <pollux@debian.org>  Tue, 16 Mar 2010 22:53:13 +0100

libpreludedb (1.0.0~rc1-2) unstable; urgency=low

  * Bump standards version to 3.8.4
  * Rebuild to use libltdl7 (Closes: #571365)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 26 Feb 2010 14:22:19 +0100

libpreludedb (1.0.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3
  * Rebuild with support for Python 2.6 (Closes: #531555)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 02 Feb 2010 08:46:05 +0100

libpreludedb (0.9.15.3-1) unstable; urgency=low

  * New Upstream Version
  * Update description (Prelude is a SIM/SIEM, not an IDS)
  * Add alternative build-dep on libmysqlclient-dev to build with MySQL 5.1

 -- Pierre Chifflier <pollux@debian.org>  Tue, 28 Jul 2009 09:42:38 +0200

libpreludedb (0.9.15.2-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version to 3.8.2 (no changes)
  * Set debhelper compat version to 5
  * Rebuild against libpq 8.4

 -- Pierre Chifflier <pollux@debian.org>  Mon, 13 Jul 2009 22:21:31 +0200

libpreludedb (0.9.15.1-3) unstable; urgency=low

  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Thu, 26 Feb 2009 13:45:17 +0100

libpreludedb (0.9.15.1-2) experimental; urgency=low

  * Enable support for sqlite3 backend

 -- Pierre Chifflier <pollux@debian.org>  Fri, 09 Jan 2009 13:55:00 +0100

libpreludedb (0.9.15.1-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Sep 2008 14:52:42 +0200

libpreludedb (0.9.15-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 27 Aug 2008 17:05:34 +0200

libpreludedb (0.9.14.1-2) unstable; urgency=low

  * Update watch file
  * Bump standards version (no changes)
  * Update dependencies

 -- Pierre Chifflier <pollux@debian.org>  Tue, 01 Jul 2008 09:10:24 +0200

libpreludedb (0.9.14.1-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Mon, 07 Jan 2008 23:24:46 +0100

libpreludedb (0.9.14-1) unstable; urgency=low

  * New upstream release
  * Bump standards version (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 19 Dec 2007 17:00:41 +0100

libpreludedb (0.9.13-2) unstable; urgency=low

  * Backport patch r9907 from upstream:
    revent MySQL session from timing out after 8 hours of inactivity.

 -- Pierre Chifflier <pollux@debian.org>  Thu, 27 Sep 2007 10:49:16 +0200

libpreludedb (0.9.13-1) unstable; urgency=low

  * New upstream release
  * Update my email address
  * Build packages for multiple python versions

 -- Pierre Chifflier <pollux@debian.org>  Mon, 27 Aug 2007 14:37:54 +0200

libpreludedb (0.9.12-2) unstable; urgency=low

  * Make libpreludedb packages depend on libprelude
  * Update my email address

 -- Pierre Chifflier <chifflier@inl.fr>  Fri, 08 Jun 2007 15:49:22 +0200

libpreludedb (0.9.12-1) unstable; urgency=low

  * New upstream release
  * Add watch file

 -- Pierre Chifflier <chifflier@cpe.fr>  Sat, 17 Mar 2007 18:50:39 +0100

libpreludedb (0.9.11.2-2) unstable; urgency=low

  * Use python-central only for python bindings package

 -- Pierre Chifflier <chifflier@cpe.fr>  Sun, 28 Jan 2007 17:52:38 +0100

libpreludedb (0.9.11.2-1) unstable; urgency=low

  * New upstream release
  * Add myself to uploaders
  * Create new binary packages for perl and python bindings

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu, 11 Jan 2007 15:32:22 +0100

libpreludedb (0.9.10-1) unstable; urgency=low

  * New upstream release

 -- Mickael Profeta <profeta@debian.org>  Fri, 27 Oct 2006 10:37:43 +0200

libpreludedb (0.9.7.1-1) unstable; urgency=low

  * New upstream release
  * Modify copyright to include LGPL part 
  * Add dependency on libgnutls-dev

 -- Mickael Profeta <profeta@debian.org>  Wed, 26 Apr 2006 13:01:45 +0200

libpreludedb (0.9.3-1) unstable; urgency=low

  * New upstream release
  * modify copyright file to accept GPL compatible softwares


