=== debian/control ===
Source: libpreludedb
Priority: extra
Section: libs
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
    dh-autoreconf,
    dh-python,
    libprelude-dev (>=0.9.10),
    libpq-dev,
    default-libmysqlclient-dev,
    libsqlite3-dev,
    libperl-dev,
    swig,
    python-all-dev (>= 2.6.6-3)
Standards-Version: 3.8.4

Package: libpreludedb-dev
Section: libdevel
Architecture: any
Depends: libpreludedb0 (= ${binary:Version}), libprelude-dev, ${misc:Depends}
Description: Security Information Management System [ Development files ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package contains the development files for PreludeDB components.

Package: libpreludedb0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Security Information Management System [ Base library ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort sensor, featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package contains the PreludeDB shared library.

Package: libpreludedb-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, libpreludedb0 (= ${binary:Version}), libprelude-perl, ${shlibs:Depends}, ${misc:Depends}
Description: Security Information Management System [ Base library ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort sensor, featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package contains the perl bindings for PreludeDB.

Package: python-preludedb
Section: python
Architecture: any
Depends: ${python:Depends}, libpreludedb0 (= ${binary:Version}), python-prelude, ${shlibs:Depends}, ${misc:Depends}
Description: Security Information Management System [ Base library ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort sensor, featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package contains the Python bindings for PreludeDB.
