=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

INSTALLD=install -m755 -o0 -g0 -d
INSTALLF=install -m644 -o0 -g0
INSTALLE=install -m755 -o0 -g0

PYVERS=$(shell pyversions -vr)

ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

TMPDIR=debian/tmp

prefix=$(CURDIR)/debian/tmp/usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autoreconf
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --enable-gtk-doc=no --localstatedir=/var --sysconfdir=/etc --with-perl-installdirs=vendor
	touch configure-stamp

build-arch: build
build-indep:
build: configure-stamp build-stamp $(PYVERS:%=build-python%)
build-stamp:
	dh_testdir
	# Force swig to regenerate PreludeDB.c, cf. https://bugs.debian.org/752335
	rm -f bindings/perl/PreludeDB.c
	$(MAKE)
	
	touch build-stamp

build-python%:
	cd bindings/python && python$* setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp build-python2.*
	[ ! -f bindings/perl/Makefile ] || $(MAKE) -C bindings/perl realclean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf bindings/python/build
	rm -f bindings/perl/PreludeDB.c
	rm -f debian/libpreludedb-perl.install
	dh_autoreconf_clean
	dh_clean

install: install-core $(PYVERS:%=install-python%)

install-core: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	find $(CURDIR)/debian/tmp -name \*.pyc -exec rm -f {} \;
	find $(CURDIR)/debian/tmp -name \*.la -delete
	sed -e 's,$${archlib},$(ARCHLIB),g' debian/libpreludedb-perl.install.in > debian/libpreludedb-perl.install
#	$(INSTALLD) $(TMPDIR)/etc/prelude/	\
#		$(TMPDIR)/etc/prelude/default/	\
#		$(TMPDIR)/etc/prelude/profile/	\
#		$(TMPDIR)/var/spool/prelude-sensors

#	$(INSTALLF) sensors-default.conf $(TMPDIR)/etc/prelude-sensors/

install-python%:
	cd bindings/python && python$* setup.py install --root $(CURDIR)/debian/python-preludedb

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs README
	dh_installchangelogs ChangeLog
	dh_perl
	dh_python2 -ppython-preludedb
	dh_link
	dh_strip
	dh_compress -X.py
	dh_fixperms
	sed -i -e 's/TYPE=/ENGINE=/g' debian/libpreludedb0/usr/share/libpreludedb/classic/mysql.sql
	sed -i -e 's/TYPE=/ENGINE=/g' debian/libpreludedb0/usr/share/libpreludedb/classic/mysql2*.sh
	chmod +x debian/libpreludedb0/usr/share/libpreludedb/classic/mysql2sqlite.sh
	chmod +x debian/libpreludedb0/usr/share/libpreludedb/classic/mysql2pgsql.sh
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps debian/libpreludedb0/usr/bin/preludedb-admin \
		debian/libpreludedb-dev/usr/bin/libpreludedb-config
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure
