## libpreludedb 4.1.0

=== debian/changelog ===
libpreludedb (4.1.0-1) unstable; urgency=medium

  * Bump version 4.1.0 (Closes: #892553)
    - remove unnecessary patch: 006-update-gtkdoc-files.patch
    - Update dependencies: libprelude 4.1 is required
  * d/control:
    - Update descriptions
    - Add multiarch fields
  * d/rules: add missing include architecture.mk
  * Update copyrights dates
  * Add symbols for libpreludedb7 and libpreludedbcpp2

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 11 Mar 2018 12:00:00 +0200

libpreludedb (3.1.0-2) unstable; urgency=medium

  * Bump Standard-Version to 4.1.3, no changes needed
  * Bump debhelper version to 11
  * Update compat file from 10 to 11
  * New patches:
    - 007-update_m4_postgresql.patc
      Fix compatibility with new libpq (Closes: #887940)
    - 008-Fix_libdir_definition.patch
      Fix libdir definition (Closes: #722799)
  * Update d/control Vcs-* entries to migrate to Salsa

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sat, 10 Feb 2018 01:00:00 +0200

libpreludedb (3.1.0-1) unstable; urgency=medium

  * Push to unstable
  * Add Thomas Andrejak as uploader in d/control
  * Bump Standard-Version to 4.1.1, no changes needed
  * Remove trailing whitespace in d/changelog

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 20 Nov 2017 01:00:00 +0200

libpreludedb (3.1.0-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Update gtkdoc files to be compatible with gtkdoc-1.26 (Closes: #876709)
    - Update gtk-doc.make and m4/gtk-doc.m4
    - Using https://github.com/GNOME/gtk-doc
  * Add libglib2.0-dev to build-dep-indep because it is required for gtk-doc

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 24 Sep 2017 09:00:00 +0200

libpreludedb (3.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add support and dependencies for Python3 bindings
  * Add PreludeDB documentation with gtk-doc
  * Cleanup rules file
    - Clean all directives
    - Support Build profiles nopython
    - Build the documentation only when building the indep packages
  * Addition of the upstream signing key
  * Update of watch file
  * Bump version 3.1.0 (Closes: #872260)
    - Bump soname version: C to 7, C++ to 2
    - Patches :
      - Remove unnecessary patches now upstream included them
      - 001-manpages.patch: Fix manpage syntax
      - 002-undefined_non_weak_symbol.patch: Fix undefined non weak symbol
      - 003-Add-pkg-config-file.patch: Deprecate libpreludedb-config
        for pkg-config
      - 004-Add_support_for_python_3.5_and_3.6.patch: Add simultaneous
        support for python 3.5 and 3.6
      - 005-Clarify_License.patch: Clarify README.LICENSE
  * Control :
    - Remove unnecessary PreDepends
    - Change Priority from extra to optional
    - Add Vcs fields
    - Bump Standards-Version to 4.0.1
    - Bump debhelper compat level to 10, drop explicit autoreconf, now part
      of debhelper standard sequence.
    - Set Homepage field
    - Remove of uneccesary/duplicated Section fields
  * Rewriting of copyright file to fit the machine-readable format
  * Add missing copyright information
  * Add new package: preludedb-utils
    - Handle preludedb-admin and it's manpage

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 15 Aug 2017 12:00:00 +0100
