=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk
CONFIGURE_FLAGS = --enable-easy-bindings

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
	DH_ADDONS += --with python2 --with python3
	CONFIGURE_FLAGS += --with-python3=`py3versions -r 2>/dev/null | sed 's/ /,/g'`
else
	CONFIGURE_FLAGS += --with-python2=no --with-python3=no
endif

ifneq ($(filter libpreludedb-doc,$(shell dh_listpackages)),)
	CONFIGURE_FLAGS += --enable-gtk-doc
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install
	find . -name "*.la" -exec rm -f {} \;
	mkdir -p debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libpreludedb/bin
	mv debian/tmp/usr/bin/libpreludedb-config debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libpreludedb/bin/libpreludedb-config

%:
	dh $@ $(DH_ADDONS)
