## libpreludedb 5.1.0

=== debian/changelog ===
libpreludedb (5.1.0-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:39 +0100

libpreludedb (5.1.0-4) unstable; urgency=medium

  * Mark one symbol as optional, disappearing on ppc64el and
    s390x with -O2 (Closes: #945062)
    Thanks to Gianfranco Costamagna

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 19 Nov 2019 09:11:09 +0100

libpreludedb (5.1.0-3) unstable; urgency=medium

  * d/rules : really fix ftbfs with more than one supported python3 version.

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 17 Nov 2019 12:07:24 +0200

libpreludedb (5.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix symbols on different kind of architecture
  * Add unpackaged files
  * d/rules
    - Fix ftbfs with more than one supported python3 version (Closes: #942717)

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 12 Nov 2019 12:07:24 +0200

libpreludedb (5.1.0-1) experimental; urgency=medium

  * Bump version 5.1.0 (Closes: #925757)
    - Remove python 2 support (Closes: #936905)
    - Bump debhelper to 12
    - Cleanup d/changelog
    - Update symbols files
    - Remove Python2 support
    - Add upstream/metadata
  * d/patches
    - Remove unnecesssary patches
      - 001-manpages.patch
    - Update patches:
      - 003-Add-pkg-config-file.patch
      - 004-Add_support_for_python_3.X.patch
      - 007-update_m4_postgresql.patch (Closes: #892868)
    - Add new patches:
      - 009-fix_py38.patch
      - 010-disable_gnulib_lock_tests.patch
      - 011-force_preludedb_admin_with_py3.patch
      - 012-fix_gtkdoc_1.32.patch
        Fix building with GTK-Doc 1.32 (Closes: #939957)
      - 013-fix_thread_create.patch
  * d/control:
    - Migrate from debhelper to debhelper-compat
    - Bump dependencies to libprelude 5.1
    - Bump Standard-Version to 4.4.1
    - Rules-Requires-Root
    - Fix python-package-missing-depends-on-python
    - Update preludedb-utils

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 11 Oct 2019 00:10:00 +0200

libpreludedb (4.1.0-2) unstable; urgency=medium

  * Update dependencies (Closes: #896240, #896266)
  * Bump Standard-Version to 4.1.4, no changes needed

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 30 Apr 2018 00:10:00 +0200
