=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Section: libs
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
-Build-Depends: debhelper (>= 11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
     dh-python <!nopython>,
-    libprelude-dev (>=4.1.0),
+    libprelude-dev (>=5.1.0),
     libpq-dev,
     default-libmysqlclient-dev,
     libsqlite3-dev,
     pkg-config,
     python3-all-dev <!nopython>,
-    python-all-dev <!nopython>,
     swig <!nopython>
 Build-Depends-Indep: gtk-doc-tools, libglib2.0-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://www.prelude-siem.org/
 Vcs-Browser: https://salsa.debian.org/totol-guest/libpreludedb
 Vcs-Git: https://salsa.debian.org/totol-guest/libpreludedb.git
@@ -74,11 +74,14 @@
  This package contains the Prelude C++ shared library.
 
 Package: preludedb-utils
-Architecture: any
+Architecture: all
 Breaks: libpreludedb0
 Replaces: libpreludedb0
 Section: utils
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3,
+ python3-prelude (>=5.1.0), python3-preludedb (>=5.1.0)
+Build-Profiles: <!nopython>
+Provides: ${python3:Provides}
 Description: Security Information and Events Management System [ Library utils ]
  The PreludeDB Library provides an abstraction layer upon the type and the
  format of the database used to store IDMEF alerts. It allows developers to use
@@ -87,24 +90,10 @@
  .
  This package contains the Prelude shared library tools.
 
-Package: python-preludedb
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Build-Profiles: <!nopython>
-Provides: ${python:Provides}
-Description: Security Information and Events Management System [ Python2 bindings ]
- The PreludeDB Library provides an abstraction layer upon the type and the
- format of the database used to store IDMEF alerts. It allows developers to use
- the Prelude IDMEF database easily and efficiently without worrying about SQL,
- and to access the database independently of the type/format of the database.
- .
- This package contains the Python bindings for PreludeDB.
-
 Package: python3-preludedb
 Section: python
 Architecture: any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-prelude (>=5.1.0)
 Build-Profiles: <!nopython>
 Provides: ${python3:Provides}
 Description: Security Information and Events Management System [ Python3 bindings ]
