## libpreludedb 5.2.0

=== debian/changelog ===
libpreludedb (5.2.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:45:26 +0000

libpreludedb (5.2.0-2) unstable; urgency=medium

  * d.rules: Disable GTKDOCIZE for arch-only builds (Related to #993099)
  * d.control
    - Bump to Standards-Version 4.6.0
    - Improve cross satisfiability (Related to #991100)
  * Updata symbols file for GCC 11 (Closes: #984202)

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Wed, 25 Aug 2021 20:53:39 +0200

libpreludedb (5.2.0-1) unstable; urgency=medium

  * Bump version 5.2.0
    - d.control:
      - Update to Prelude 5.2
      - Bump debhelper to version 13
      - Bump Standards-Version to version 4.5.0
    - Update symbols files
    - Remove unnecessary patchs:
      - 004-enable_detection_new_python3.patch
      - 005-Clarify_License.patch
      - 008-Fix_libdir_definition.patch
      - 009-fix_py38.patch
    - Update patchs:
      - 003-Add-pkg-config-file.patch
        - Fix providing to much arguments in pkgconfig file
    - New patchs:
      - 014-remove_libpreludedb-config.patch
        - Remove libpreludedb-config
        - Provide new libpreludedb.m4 to use pkgconfig
      - 015-Use_pkg-config.patch
        - Update libprelude.m4
        - Use the new libprelude.m4 to detect libprelude with pkgconfig
    - Update patches to set the field Forwarded
    - Add symlink from gtk-doc to doc
    - d.copyright: CS SI to CS GROUP
    - d.watch: bump version to 4
    - d.rules: Cleanly fix la file with dependency_libs

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 17 Nov 2020 20:53:39 +0200
