=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
-    dh-python <!nopython>,
-    libprelude-dev (>=5.1.0),
+Build-Depends: debhelper-compat (= 13),
+    dh-sequence-python3 <!nopython>,
+    libprelude-dev (>=5.2.0),
     libpq-dev,
     default-libmysqlclient-dev,
     libsqlite3-dev,
     pkg-config,
-    python3-all-dev <!nopython>,
+    libpython3-all-dev <!nopython>,
+    python3-all-dev:any <!nopython>,
     swig <!nopython>
 Build-Depends-Indep: gtk-doc-tools, libglib2.0-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://www.prelude-siem.org/
 Vcs-Browser: https://salsa.debian.org/totol-guest/libpreludedb
 Vcs-Git: https://salsa.debian.org/totol-guest/libpreludedb.git
@@ -79,7 +80,7 @@
 Replaces: libpreludedb0
 Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3,
- python3-prelude (>=5.1.0), python3-preludedb (>=5.1.0)
+ python3-prelude (>=5.2.0), python3-preludedb (>=5.2.0)
 Build-Profiles: <!nopython>
 Provides: ${python3:Provides}
 Description: Security Information and Events Management System [ Library utils ]
@@ -93,7 +94,7 @@
 Package: python3-preludedb
 Section: python
 Architecture: any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-prelude (>=5.1.0)
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-prelude (>=5.2.0)
 Build-Profiles: <!nopython>
 Provides: ${python3:Provides}
 Description: Security Information and Events Management System [ Python3 bindings ]
